Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceAccessDenied

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceAccessDenied

All Implemented Interfaces:
  AceResponse

    public class AceAccessDenied

extends AbstractAceResponse
implements AceResponse

This class represents an ACE Access Denied Response.

This class has values for and can construct an Access denied packet. This implements the AceResponse interface allowing generic handling of reponse packets.

Constructor Summary
`AceAccessDenied(AceRequest request)` Creates a new instance of an AceAccessDenied packet

Method Summary
`byte` | `getProtocolVersion()` Returns the protocol version for an OK response.
`int` | `getResponseStatus()` Returns the status for an Access-Denied response.
`java.lang.String` | `toString()` String conversion function.
`void` | `writeResponse(java.nio.ByteBuffer buf)` Write an AceResponse to the internal stream.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getRequestToThisResponse, getResponseMsgType, getResponseSize, getTrailer, haveNodeSecret, processResponse, readResponse, setNodeSecret`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceResponse
`buildResponsePacket, getHeader, getPacket, getResponseMsgType, getResponseSize, getTrailer, processResponse, readResponse`

Constructor Detail

### AceAccessDenied

    public AceAccessDenied(AceRequest request)
                    throws AcePacketException

  Creates a new instance of an AceAccessDenied packet

  Parameters:
    `request` - The AceRequest to be used to initialize the response.
  Throws:
    `SocketException`
    `AcePacketException`

Method Detail

### writeResponse

    public void writeResponse(java.nio.ByteBuffer buf)
                       throws AcePacketException

  Write an AceResponse to the internal stream.

  Specified by:
    `writeResponse` in interface `AceResponse`
  Overrides:
    `writeResponse` in class `AbstractAceResponse`
  Parameters:
    `buf` - The byte buffer to which the response is writtem.
  Throws:
    `AcePacketException` - If there is a problem writing the packet fields.

### getProtocolVersion

    public byte getProtocolVersion()

  Returns the protocol version for an OK response. Only non v5 protocol packets need to provide this method.

  Specified by:
    `getProtocolVersion` in interface `AceResponse`
  Overrides:
    `getProtocolVersion` in class `AbstractAceResponse`
  Returns:
    The OK response protocol version.

### getResponseStatus

    public int getResponseStatus()

  Returns the status for an Access-Denied response.

  Specified by:
    `getResponseStatus` in interface `AceResponse`
  Overrides:
    `getResponseStatus` in class `AbstractAceResponse`
  Returns:
    The Access denied status.

### toString

    public java.lang.String toString()

  String conversion function.

  Specified by:
    `toString` in interface `AceResponse`
  Overrides:
    `toString` in class `AbstractAceResponse`
  Returns:
    A String representation of the response packet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.